/**
* Returns Euler's constant (approx. 2.718).
* @name E
*/
/** @ignore */
Math._$E$_ = "don't use me, used for reflection.";
/**
* Returns the natural logarithm of 10 (approx. 2.302).
* @name LN10
*/
/** @ignore */
Math._$LN10$_ = "don't use me, used for reflection.";
/**
* Returns the natural logarithm of 2 (approx. 0.693).
* @name LN2
*/
/** @ignore */
Math._$LN2$_ = "don't use me, used for reflection.";
/**
* Returns the base-10 logarithm of E (approx. 0.434).
* @name LOG10E
*/
/** @ignore */
Math._$LOG10E$_ = "don't use me, used for reflection.";
/**
* Returns the base-2 logarithm of E (approx. 1.414).
* @name LOG2E
*/
/** @ignore */
Math._$LOG2E$_ = "don't use me, used for reflection.";
/**
* Returns PI (approx. 3.14159).
* @name PI
*/
/** @ignore */
Math._$PI$_ = "don't use me, used for reflection.";
/**
* Returns the square root of 1/2 (approx. 0.707).
* @name SQRT1_2
*/
/** @ignore */
Math._$SQRT1_2$_ = "don't use me, used for reflection.";
/**
* Returns the square root of 2 (approx. 1.414).
* @name SQRT2
*/
/** @ignore */
Math._$SQRT2$_ = "don't use me, used for reflection.";

/**
* Returns the absolute value of a number.
* @name Math.abs
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$abs$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the arccosine of a number.
* @name Math.acos
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$acos$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the arcsine of a number.
* @name Math.asin
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$asin$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the arctangent of x as a numeric value between -PI/2 and PI/2 radians.
* @name Math.atan
* @param {Number}
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$atan$_ = function(_nY, _nX){throw "don't call me, used for reflection.";};
/**
* Returns the angle theta of an (x,y) point as a numeric value between -PI and PI radians.
* @name Math.atan2
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$atan2$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the value of a number rounded upwards to the nearest integer.
* @name Math.ceil
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$ceil$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the cosine of a number.
* @name Math.cos
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$cos$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the value of E^x.
* @name Math.exp
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$exp$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the value of a number rounded downwards to the nearest integer.
* @name Math.floor
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$floor$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the natural logarithm (base E) of a number.
* @name Math.log
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$log$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the number with the highest value of x and y.
* @name Math.max
* @param {Number} _args Math.max(_num1, _num2, ...._numX) allowed.
* @return {Number}
* @function
*/
/** @ignore */
Math._$max$_ = function(_args){throw "don't call me, used for reflection.";};
/**
* Returns the number with the lowest value of x and y.
* @name Math.min
* @param {Number} _args Math.min(_num1, _num2, ...._numX) allowed.
* @return {Number}
* @function
*/
/** @ignore */
Math._$min$_ = function(_args){throw "don't call me, used for reflection.";};
/**
* Returns the value of x to the power of y.
* @name Math.pow
* @param {Number}
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$pow$_ = function(_x, _y){throw "don't call me, used for reflection.";};
/**
* Returns a random number between 0 and 1.
* @name Math.randon
* @return {Number}
* @function
*/
/** @ignore */
Math._$randon$_ = function(){throw "don't call me, used for reflection.";};
/**
* Rounds a number to the nearest integer.
* @name Math.round
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$round$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the sine of a number.
* @name Math.sin
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$sin$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the square root of a number.
* @name Math.sqrt
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$sqrt$_ = function(_n){throw "don't call me, used for reflection.";};
/**
* Returns the tangent of an angle.
* @name Math.tan
* @param {Number}
* @return {Number}
* @function
*/
/** @ignore */
Math._$tan$_ = function(_n){throw "don't call me, used for reflection.";};
