var TestCase = require("bn-unit").TestCase;

// setup test case
var BooleanTest = function(){this.init.apply(this, arguments);};
exports.BooleanTest = BooleanTest;

BooleanTest.prototype = new TestCase();
BooleanTest.prototype.constructor = BooleanTest;
BooleanTest.parentclass = TestCase.prototype;
BooleanTest.prototype.init = function() {};
BooleanTest.prototype.setUp = function() {

	BooleanTest.parentclass.setUp.apply(this, []);
	this.trueVal = true;
	this.falseVal = false;
};
BooleanTest.prototype.tearDown = function() {

	BooleanTest.parentclass.tearDown.apply(this, []);
	this.trueVal;
	this.falseVal;
};
BooleanTest.getName = function() {

	return "Boolean";
};

// add tests
BooleanTest.prototype.testDotEqualsTrue = function() {

	this.assertTrue(this.trueVal.equals(this.trueVal));
	this.assertTrue(this.falseVal.equals(this.falseVal));
};

BooleanTest.prototype.testDotEqualsFalse = function() {

	this.assertFalse(this.trueVal.equals(this.falseVal));
	this.assertFalse(this.falseVal.equals(this.trueVal));
};
