var TestCase = require("bn-unit").TestCase;

// setup test case
var RegExpTest = function(){this.init.apply(this, arguments);};
exports.RegExpTest = RegExpTest;

RegExpTest.prototype = new TestCase();
RegExpTest.prototype.constructor = RegExpTest;
RegExpTest.parentclass = TestCase.prototype;
RegExpTest.prototype.init = function() {};
RegExpTest.prototype.setUp = function() {

	RegExpTest.parentclass.setUp.apply(this, []);
	this.regexp1 = /java/;
	this.regexp2 = /java/;
};
RegExpTest.prototype.tearDown = function() {

	RegExpTest.parentclass.tearDown.apply(this, []);
	this.regexp1 = null;
	this.regexp2 = null;
};
RegExpTest.getName = function() {

	return "RegExp";
};

// add tests
RegExpTest.prototype.testIdentityEqualsTrue = function() {

	this.assertTrue(this.regexp1 === this.regexp1);
};

RegExpTest.prototype.testIdentityEqualsFalse = function() {

	this.assertFalse(this.regexp1 === this.regexp2);
};

RegExpTest.prototype.testEqualsEqualsOperatorTrue = function() {

	this.assertTrue(this.regexp1 == this.regexp1);
};

RegExpTest.prototype.testEqualsEqualsOperatorFalse = function() {

	this.assertFalse(this.regexp1 == this.regexp2);
};

RegExpTest.prototype.testDotEqualsTrue = function() {

	this.assertTrue(this.regexp1.equals(this.regexp1));
};

RegExpTest.prototype.testDotEqualsFalse = function() {

	this.assertFalse(this.regexp1.equals(this.regexp2));
};
