var require = (function() {

	var getModule = function(_name) {

		var module = _name + ".js";

		if(_name.indexOf("./") == 0 || _name.indexOf("../") == 0) {

			var moduleCode = requestModule(module);
			if(moduleCode) {

				return moduleCode;
			}
		} else {

			for(var i=0;i<require.paths.length;i++) {

				var moduleCode = requestModule(require.paths[i] + module);
				if(moduleCode) {

					return moduleCode;
				}
			}
		}

		throw "Module Not Found: "+_name;
	}

	var requestModule = function(_module) {

		var code = "";
		try {

			var request = null;

			if(!request){try{request = new ActiveXObject("Msxml2.XMLHTTP.6.0");}catch(e1){}}
			if(!request){try{request = new XMLHttpRequest();}catch(e2){}}
			if(!request){try{request = new ActiveXObject("Msxml2.XMLHTTP.5.0");}catch(e3){}}
			if(!request){try{request = new ActiveXObject("Msxml2.XMLHTTP.4.0");}catch(e4){}}
			if(!request){try{request = new ActiveXObject("Msxml2.XMLHTTP.3.0");}catch(e5){}}
			if(!request){try{request = new ActiveXObject("Msxml2.XMLHTTP");}catch(e6){}}
			if(!request){try{request = new ActiveXObject("Microsoft.XMLHTTP");}catch(e7){}}

			if(request) {

				request.open("get", _module, false);
				request.send(null);
				code = request.responseText;
			}
		} catch(e_) {}

		return code;
	}

	var exportedModules = {};

    var require = function(name) {
	
        if (exportedModules.hasOwnProperty(name)) {

            return exportedModules[name];
        }

		var exports = {};

        if (modules.hasOwnProperty(name)) {

			modules[name](require, exports);
			return exports;
        }

		var module = getModule(name);

		(function() {
			eval(module);
		})();

        exportedModules[name] = exports;

        return exports;
    };

    return require;
})();

require.paths = [];

var modules = {};

var run = function(name) {

    require(name);
};
