var TestCase = require("bn-unit").TestCase;
var AsyncTask = require("bn-lang").AsyncTask;

// setup test case
var AsyncTaskTest = function(){this.init.apply(this, arguments);};
exports.AsyncTaskTest = AsyncTaskTest;

AsyncTaskTest.prototype = new TestCase();
AsyncTaskTest.prototype.constructor = AsyncTaskTest;
AsyncTaskTest.parentclass = TestCase.prototype;
AsyncTaskTest.prototype.init = function() {}
AsyncTaskTest.prototype.setUp = function() {

	AsyncTaskTest.parentclass.setUp.apply(this, []);
};
AsyncTaskTest.prototype.tearDown = function() {

	AsyncTaskTest.parentclass.tearDown.apply(this, []);
};
AsyncTaskTest.getName = function() {

	return "AsyncTask";
};

// add tests
AsyncTaskTest.prototype.testAsyncTask = function() {

	var me = this;

	var counter = 0;
	new AsyncTask(function() {

		counter++;

		me.assertTrue(1 == counter);

	}, null, [], 1000).start();
};
