var TestRunner = require("bn-unit").TestRunner;

var LangTestSuite = require("./test_suite").LangTestSuite;
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runSuite(LangTestSuite);

var BooleanTest	= require("./BooleanTest").BooleanTest;
var NumberTest	= require("./NumberTest").NumberTest;
var ArrayTest	= require("./ArrayTest").ArrayTest;
var StringTest	= require("./StringTest").StringTest;
var DateTest	= require("./DateTest").DateTest;
var RegExpTest	= require("./RegExpTest").RegExpTest;
var MathTest	= require("./MathTest").MathTest;

var EnumerableTest = require("./EnumerableTest").EnumerableTest;
var ClosureTest = require("./ClosureTest").ClosureTest;
var AsyncTaskTest = require("./AsyncTaskTest").AsyncTaskTest;
var HashTest = require("./HashTest").HashTest;
var HashSetTest = require("./HashSetTest").HashSetTest;

new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(BooleanTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(NumberTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(ArrayTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(StringTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(DateTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(RegExpTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(MathTest);

new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(EnumerableTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(ClosureTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(AsyncTaskTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(HashTest);
new TestRunner(new $GLOBAL_OBJECT.printer($GLOBAL_OBJECT.output)).runTest(HashSetTest);
