/**
* @class TestFailure
* @constructor
*/
var TestFailure = function(){this.init.apply(this, arguments);};
exports.TestFailure = TestFailure;

TestFailure.prototype = {
	/** @ignore */
	init : function(_test, _testCase, _exception) {

		this.test = _test;
		this.testCase = _testCase;
		this.exception = _exception;
	},
	isFailure : function() {

		return this.exception.constructor == AssertionFailedError
	},
	getTest : function() {

		return this.test;
	},
	getTestCase : function() {

		return this.testCase;
	},
	getException : function() {

		return this.exception;
	}
};
